import 'package:cs_resources/generated/assets.dart';
import 'package:flutter/cupertino.dart';
import 'package:plugin_platform/engine/toast/toast_engine.dart';
import 'package:riverpod_annotation/riverpod_annotation.dart';
import 'package:shared/utils/log_utils.dart';
import 'package:auto_route/auto_route.dart';

import 'my_following_state.dart';

part 'my_following_vm.g.dart';

@riverpod
class MyFollowingVm extends _$MyFollowingVm {

  MyFollowingState initState() {
    return MyFollowingState();
  }

  @override
  MyFollowingState build(){
    final state = initState();
    Log.d("--------------------------build---------------------");

    return state;
  }

  handlerChangeTab(int activeTabIdx, TabsRouter tabsRouter){
    Log.d("handlerChangeTab: $activeTabIdx");
    state.activeTabIdx = activeTabIdx;
    tabsRouter.setActiveIndex(activeTabIdx);
  }

}