
import 'package:flutter/material.dart';
import 'package:auto_route/auto_route.dart';
import 'package:hooks_riverpod/hooks_riverpod.dart';
import 'package:router/ext/auto_router_extensions.dart';
import '../../router/page/form_page_router.dart';
@RoutePage()
class GuestVehiclePage extends HookConsumerWidget {
  const GuestVehiclePage({Key? key}) : super(key: key);

  //启动当前页面
  static void startInstance({BuildContext? context}) {
    if (context != null) {
      context.router.push(const GuestVehiclePageRoute());
    } else {
      appRouter.push(const GuestVehiclePageRoute());
    }
  }

  @override
  Widget build(BuildContext context, WidgetRef ref) {

    return Scaffold(
      appBar: AppBar(title: Text("GuestVehiclePage")),
      body: Center(
        child: Text("GuestVehiclePage"),
      ),
    );
  }
}
