class MyFollowingState {
  final List<String>? tabsList;
  int? activeTabIdx;
  int? followerCount;
  int? followCount;

  MyFollowingState({
    tabsList,
    activeTabIdx = 0,
    this.followerCount = 0,
    this.followCount = 0,
  }) : tabsList = tabsList ?? [
    'Follow',
    'Follower',
  ];

  MyFollowingState copyWith({
    List<String>? tabsList,
    int? activeTabIdx,
    int? followerCount,
    int? followCount,
  }) {
    return MyFollowingState(
      tabsList: tabsList ?? this.tabsList,
      activeTabIdx: activeTabIdx ?? this.activeTabIdx,
      followerCount: followerCount ?? this.followerCount,
      followCount: followCount ?? this.followCount,
    );
  }
}