class ApplyState {
  //详情页面的索引，不参与Copy
  int detailPageIndex;

  //表单类型
  String? formType;

  //是否可编辑
  bool enableEdit;

  //表单对应的详情数据
  Map<String, dynamic>? applyDetail;

  ApplyState({
    this.formType,
    this.applyDetail,
    this.enableEdit = true,
    this.detailPageIndex = 0,
  });

  ApplyState copyWith({
    String? formType,
    bool? enableEdit,
    Map<String, dynamic>? applyDetail,
  }) {
    return ApplyState(
      formType: formType ?? this.formType,
      enableEdit: enableEdit ?? this.enableEdit,
      applyDetail: applyDetail ?? this.applyDetail,
    );
  }

}
